Subject: Re: [PATCH REPOST 1/2] NET: Accurate packet scheduling for ATM/ADSL (kernel)

From: Russell Stuart <[email-masked]>
Date: Sat, 20 Jan 2007 13:25:17 +1000

On Fri, 2007-01-19 at 13:19 +0100, Patrick McHardy wrote:
> Russell Stuart wrote:
> > I thought that some degree of compatibility was 
> > expected.  At the very least the newest version 
> > of "tc" must work on _any_ kernel as least as 
> > well as the version it replaces did.
> > 
> > I also though newer kernels should work older
> > version of iproute2, albeit without the features
> > added in the newer versions.
> > 
> > Are you saying this is not so?
> 
> No, thats exactly what I'm saying.

I don't understand - too many negates here 
without parens.  Are you saying:

a.  Backward / Forward compatibility between the kernel
    and its user space tools isn't an issue, or

b.  There is no compatibility problem.